Skip to main content

Test a Webhook, Slack or Microsoft Teams integration

POST 

/notifications/v1/integrations:test

General Availability

Sends a test notification to validate the integration. This is supported only for Webhook, Slack and MsTeams targets

Request

Responses

Notification sent to test integration.

OpenAPI definition (YAML)
paths:
  /notifications/v1/integrations:test:
    post:
      description: '[![General Availability](https://img.shields.io/badge/Lifecycle%20Stage-General%20Availability-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)


        Sends a test notification to validate the integration. This is supported only for Webhook, Slack

        and MsTeams targets

        '
      requestBody:
        content:
          application/json:
            schema:
              allOf:
              - type: object
                description: 'You can create an `Integration` to specify how we can notify you when we
                  receive an alert/notification for

                  a subscription. Please note that you can only perform create, update and delete operations
                  for integrations

                  of type `Webhook`, `Slack` and `MsTeams`. You cannot create, update or delete integrations
                  of type `RoleEmail`

                  and `UserEmail`.



                  Related guide: [Cloud Notifications](https://docs.confluent.io/cloud/current/monitoring/configure-notifications.html#notifications-for-ccloud).


                  ## The Integrations Model

                  <SchemaDefinition schemaRef="#/components/schemas/notifications.v1.Integration" />


                  ## Quotas and Limits

                  This resource is subject to the [following quotas](https://docs.confluent.io/cloud/current/quotas/overview.html):


                  | Quota | Description |

                  | --- | --- |

                  | `integrations_per_org` | Maximum number of integrations in one Confluent Cloud organization
                  |'
                properties:
                  metadata:
                    allOf:
                    - description: ObjectMeta is metadata that all persisted resources must have, which
                        includes all objects users must create.
                      properties: {}
                      readOnly: true
                      title: ObjectMeta
                    - properties:
                        self:
                          example: https://api.confluent.cloud/notifications/v1/integrations/i-12345
                        resource_name:
                          example: crn://confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/integration=i-12345
                  display_name:
                    type: string
                    maxLength: 64
                    description: 'A human readable name for the particular integration

                      '
                    example: Slack integration
                  description:
                    type: string
                    maxLength: 128
                    description: 'A human readable description for the particular integration

                      '
                    example: A Slack channel integration
                  target:
                    description: 'Integration-specific details (integration targets)

                      '
                    allOf:
                    - description: Target for the particular integration
                      oneOf:
                      - type: object
                        description: Target required for Slack integration
                        required:
                        - kind
                        - webhook_url
                        properties:
                          kind:
                            type: string
                            enum:
                            - Slack
                            description: Integration Type
                            example: Slack
                          webhook_url:
                            type: string
                            format: uri
                            description: Slack Webhook URL for the particular Slack channel
                            example: https://hooks.slack.com/services/{id}/{id}/{id}
                        title: notifications.v1.SlackTarget
                      - type: object
                        description: Email integration target to send email to all user with specified
                          role
                        required:
                        - kind
                        - role_name
                        properties:
                          kind:
                            type: string
                            enum:
                            - RoleEmail
                            description: Email Integration type for Role
                            example: RoleEmail
                          role_name:
                            type: string
                            description: name of the role
                            example: OrganizationAdmin
                        title: notifications.v1.RoleEmailTarget
                      - type: object
                        description: Email integration target to send email to a particular user
                        required:
                        - kind
                        - user
                        properties:
                          kind:
                            type: string
                            enum:
                            - UserEmail
                            description: Email Integration type for User
                            example: UserEmail
                          user:
                            allOf:
                            - type: object
                              description: ObjectReference provides information for you to locate the
                                referred object
                              required:
                              - id
                              properties:
                                id:
                                  type: string
                                  description: ID of the referred resource
                                  minLength: 1
                                  maxLength: 255
                              title: GlobalObjectReference
                            description: Reference to the user
                        title: notifications.v1.UserEmailTarget
                      - type: object
                        description: Target required for webhook integration
                        required:
                        - kind
                        - url
                        properties:
                          kind:
                            type: string
                            enum:
                            - Webhook
                            description: Integration Type
                            example: Webhook
                          url:
                            type: string
                            format: uri
                            description: URL endpoint for the webhook
                            example: https://my.webhook.url/{id}
                        title: notifications.v1.WebhookTarget
                      - type: object
                        description: Target required for MS Teams integration
                        required:
                        - kind
                        - webhook_url
                        properties:
                          kind:
                            type: string
                            enum:
                            - MsTeams
                            description: Integration Type
                            example: MsTeams
                          webhook_url:
                            type: string
                            format: uri
                            description: MS Teams Webhook URL for the particular team channel
                            example: https://admin.webhook.office.com/webhookb2/{id}/IncomingWebhook/{id}
                        title: notifications.v1.MsTeamsTarget
                      discriminator:
                        propertyName: kind
                        mapping:
                          Slack:
                            type: object
                            description: Target required for Slack integration
                            required:
                            - kind
                            - webhook_url
                            properties:
                              kind:
                                type: string
                                enum:
                                - Slack
                                description: Integration Type
                                example: Slack
                              webhook_url:
                                type: string
                                format: uri
                                description: Slack Webhook URL for the particular Slack channel
                                example: https://hooks.slack.com/services/{id}/{id}/{id}
                            title: notifications.v1.SlackTarget
                          RoleEmail:
                            type: object
                            description: Email integration target to send email to all user with specified
                              role
                            required:
                            - kind
                            - role_name
                            properties:
                              kind:
                                type: string
                                enum:
                                - RoleEmail
                                description: Email Integration type for Role
                                example: RoleEmail
                              role_name:
                                type: string
                                description: name of the role
                                example: OrganizationAdmin
                            title: notifications.v1.RoleEmailTarget
                          UserEmail:
                            type: object
                            description: Email integration target to send email to a particular user
                            required:
                            - kind
                            - user
                            properties:
                              kind:
                                type: string
                                enum:
                                - UserEmail
                                description: Email Integration type for User
                                example: UserEmail
                              user:
                                allOf:
                                - type: object
                                  description: ObjectReference provides information for you to locate
                                    the referred object
                                  required:
                                  - id
                                  - related
                                  - resource_name
                                  properties:
                                    id:
                                      type: string
                                      description: ID of the referred resource
                                      minLength: 1
                                      maxLength: 255
                                    related:
                                      type: string
                                      format: uri
                                      description: API URL for accessing or modifying the referred object
                                      minLength: 1
                                      readOnly: true
                                    resource_name:
                                      type: string
                                      format: uri
                                      description: CRN reference to the referred resource
                                      minLength: 1
                                      readOnly: true
                                  title: GlobalObjectReference
                                description: Reference to the user
                            title: notifications.v1.UserEmailTarget
                          Webhook:
                            type: object
                            description: Target required for webhook integration
                            required:
                            - kind
                            - url
                            properties:
                              kind:
                                type: string
                                enum:
                                - Webhook
                                description: Integration Type
                                example: Webhook
                              url:
                                type: string
                                format: uri
                                description: URL endpoint for the webhook
                                example: https://my.webhook.url/{id}
                            title: notifications.v1.WebhookTarget
                          MsTeams:
                            type: object
                            description: Target required for MS Teams integration
                            required:
                            - kind
                            - webhook_url
                            properties:
                              kind:
                                type: string
                                enum:
                                - MsTeams
                                description: Integration Type
                                example: MsTeams
                              webhook_url:
                                type: string
                                format: uri
                                description: MS Teams Webhook URL for the particular team channel
                                example: https://admin.webhook.office.com/webhookb2/{id}/IncomingWebhook/{id}
                            title: notifications.v1.MsTeamsTarget
                      example:
                        kind: Slack
                        webhook_url: https://hooks.slack.com/services/{id}/{id}/{id}
                      title: notifications.v1.Target
                title: notifications.v1.Integration
              - type: object
                required:
                - display_name
                - target
      x-lifecycle-stage: General Availability
      x-self-access: true
      x-name: notifications.v1.Integration
      operationId: testNotificationsV1Integration
      tags:
      - Integrations (notifications/v1)
      security:
      - cloud-api-key: []
      - confluent-sts-access-token: []
      responses:
        '204':
          description: Notification sent to test integration.
        '400':
          description: Bad Request
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '400'
                  code: invalid_filter
                  title: Invalid Filter
                  detail: The 'delorean' resource can't be filtered by 'num_doors'
                  source:
                    parameter: num_doors
        '401':
          x-summary: Unauthorized
          description: The request lacks valid authentication credentials for this resource.
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            WWW-Authenticate:
              schema:
                type: string
              description: The unique identifier for the API request.
              example: Basic error="invalid_key", error_description="The API Key is invalid"
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '401'
                  code: user_unauthenticated
                  title: Authentication Required
                  detail: Valid authentication credentials must be provided
        '403':
          x-summary: Forbidden
          description: The access credentials were considered insufficient to grant access
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '403'
                  code: user_unauthorized
                  title: User Access Unauthorized
                  detail: The user 'mcfly' is not allowed to access the 'delorean' resource without the
                    'plutonium' role.
        '404':
          description: Not Found
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '404'
                  title: Not Found
        '429':
          description: Rate Limit Exceeded
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
            Retry-After:
              schema:
                type: integer
              description: The number of seconds to wait until the rate limit window resets. Only sent
                when the rate limit is reached.
        '500':
          description: Oops, something went wrong!
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '500'
                  code: out_of_gas
                  title: DeLorean Out Of Gas
                  detail: The DeLorean has run out of gas, but Doc Brown will fill 'er up for you asap
      servers:
      - url: https://api.confluent.cloud
        description: Confluent Cloud API
      jsonRequestBodyExample:
        display_name: Slack integration
        description: A Slack channel integration
        target:
          kind: Slack
          webhook_url: https://hooks.slack.com/services/{id}/{id}/{id}